Bug 1500248 - meson macros RFE: copy test log to stdout on failure
Summary: meson macros RFE: copy test log to stdout on failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: meson
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-10 09:31 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2018-01-08 19:25 UTC (History)
2 users (show)

Fixed In Version: meson-0.44.0-1.fc27 meson-0.44.0-1.fc26
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-02 16:46:15 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2017-10-10 09:31:20 UTC
Description of problem:
If a build fails in %meson_test, the logs are "lost". It'd be great to automatically print the full log to stdout to make it easier to debug the failure. (If the tests don't fail, printing the logs is not interesting, and would make the logs stupidly long without reason.)

I think that simply doing:

 %meson_test \
-    %ninja_test -C %{_vpath_builddir}
+    %ninja_test -C %{_vpath_builddir} || \
+    { r=$?; echo "==================== LOGS BEGIN ================; \
+            cat %{_vpath_builddir}/meson-logs/testlog.txt; \
+            echo "==================== LOGS END ================; \
+            exit $r; }

would be enough (untested).

Version-Release number of selected component (if applicable):
meson-0.43.0-1.fc26.noarch

Comment 1 Igor Gnatenko 2017-10-11 08:21:18 UTC
https://github.com/mesonbuild/meson/pull/2476

Comment 2 Fedora Update System 2017-12-10 19:56:45 UTC
meson-0.44.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d36a93314d

Comment 3 Fedora Update System 2017-12-10 19:56:52 UTC
meson-0.44.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-38c43deb3b

Comment 4 Fedora Update System 2017-12-11 19:57:25 UTC
meson-0.44.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d36a93314d

Comment 5 Fedora Update System 2017-12-11 20:33:32 UTC
meson-0.44.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-38c43deb3b

Comment 6 Fedora Update System 2018-01-02 16:46:15 UTC
meson-0.44.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-01-08 19:25:36 UTC
meson-0.44.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.